Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.ca.universe.basic
Class BasicUniverse

    java.lang.Object
      org.encog.ml.BasicML
          org.encog.ca.universe.basic.BasicUniverse

All Implemented Interfaces:
  Serializable, Universe, MLMethod, MLProperties

    public class BasicUniverse

extends BasicML
implements Universe, Serializable

See Also:
  Serialized Form

Field Summary
`static String` | `ELEMENT_COUNT`

Constructor Summary
`BasicUniverse(int height, int width, UniverseCellFactory theCellFactory)`

Method Summary
`double` | `calculatePercentInvalid()`
`Object` | `clone()`
`double` | `compare(Universe otherWorld)`
`void` | `copy(Universe source)`
`UniverseCell` | `get(int row, int col)`
`UniverseCellFactory` | `getCellFactory()`
`int` | `getColumns()`
`int` | `getRows()`
`boolean` | `isValid(int row, int col)`
`void` | `randomize()`
`void` | `updateProperties()` Update any objeccts when a property changes.

Methods inherited from class org.encog.ml.BasicML
`getProperties, getPropertyDouble, getPropertyLong, getPropertyString, setProperty, setProperty, setProperty`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ELEMENT_COUNT

    public static final String ELEMENT_COUNT

See Also:
  Constant Field Values

Constructor Detail

### BasicUniverse

    public BasicUniverse(int height,
                         int width,
                         UniverseCellFactory theCellFactory)

Method Detail

### clone

    public Object clone()

  Specified by:
    `clone` in interface `Universe`
  Overrides:
    `clone` in class `Object`

### copy

    public void copy(Universe source)

  Specified by:
    `copy` in interface `Universe`

### compare

    public double compare(Universe otherWorld)

  Specified by:
    `compare` in interface `Universe`

### getColumns

    public int getColumns()

  Specified by:
    `getColumns` in interface `Universe`

### getRows

    public int getRows()

  Specified by:
    `getRows` in interface `Universe`

### randomize

    public void randomize()

  Specified by:
    `randomize` in interface `Universe`

### get

    public UniverseCell get(int row,
                            int col)

  Specified by:
    `get` in interface `Universe`

### isValid

    public boolean isValid(int row,
                           int col)

  Specified by:
    `isValid` in interface `Universe`

### getCellFactory

    public UniverseCellFactory getCellFactory()

  Specified by:
    `getCellFactory` in interface `Universe`

### updateProperties

    public void updateProperties()

  Description copied from interface: `MLProperties`
  Update any objeccts when a property changes.

  Specified by:
    `updateProperties` in interface `MLProperties`
  Specified by:
    `updateProperties` in class `BasicML`

### calculatePercentInvalid

    public double calculatePercentInvalid()

  Specified by:
    `calculatePercentInvalid` in interface `Universe`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.